CVE-2005-0362
CVSS4.6
发布时间 :2005-02-09 00:00:00
修订时间 :2008-09-05 16:46:04
NMCO    

[原文]awstats.pl in AWStats 6.2 allows remote attackers to execute arbitrary commands via shell metacharacters in the (1) "pluginmode", (2) "loadplugin", or (3) "noloadplugin" parameters.


[CNNVD]AWStats awstats.pl多个参数远程执行命令漏洞(CNNVD-200502-019)

        AwStats是一款极为流行的基于Web的网站访问统计程序。
        AwStats软件包脚本实现上存在输入验证漏洞,远程攻击者可能利用此漏洞以Web进程权限在服务器上执行任意命令。
        AwStats的awstats.pl脚本对config、pluginmode、loadplugin或noloadplugin参数值做充分的检查过滤,远程攻击者可能在参数值中插入特定的Shell转义字符从而在主机上执行任意命令。

- CVSS (基础分值)

CVSS分值: 4.6 [中等(MEDIUM)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: LOCAL [漏洞利用需要具有物理访问权限或本地帐户]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:awstats:awstats:6.0
cpe:/a:awstats:awstats:5.5
cpe:/a:awstats:awstats:5.1
cpe:/a:awstats:awstats:4.0
cpe:/a:awstats:awstats:5.9
cpe:/a:awstats:awstats:6.2
cpe:/a:awstats:awstats:5.4
cpe:/a:awstats:awstats:5.3
cpe:/a:awstats:awstats:5.0
cpe:/a:awstats:awstats:5.2
cpe:/a:awstats:awstats:6.1
cpe:/a:awstats:awstats:5.8
cpe:/a:awstats:awstats:5.7
cpe:/a:awstats:awstats:6.3

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2005-0362
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2005-0362
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200502-019
(官方数据源) CNNVD

- 其它链接及资源

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=294488
(VENDOR_ADVISORY)  CONFIRM  http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=294488
http://www.osvdb.org/16089
(UNKNOWN)  OSVDB  16089

- 漏洞信息

AWStats awstats.pl多个参数远程执行命令漏洞
中危 未知
2005-02-09 00:00:00 2005-10-20 00:00:00
本地  
        AwStats是一款极为流行的基于Web的网站访问统计程序。
        AwStats软件包脚本实现上存在输入验证漏洞,远程攻击者可能利用此漏洞以Web进程权限在服务器上执行任意命令。
        AwStats的awstats.pl脚本对config、pluginmode、loadplugin或noloadplugin参数值做充分的检查过滤,远程攻击者可能在参数值中插入特定的Shell转义字符从而在主机上执行任意命令。

- 公告与补丁

        目前厂商已经发布了升级补丁以修复这个安全问题,补丁下载链接:
        http://awstats.sourceforge.net/

- 漏洞信息

16089
AWStats awstats.pl Multiple Parameter Shell Metacharacter Arbitrary Command Execution
Remote / Network Access Input Manipulation
Loss of Integrity
Exploit Public Vendor Verified

- 漏洞描述

AWStats contains several flaws that may allow a malicious user to execute arbitrary code. The issue is triggered when providing shell meta-characters to the "pluginmode", "loadplugin", or "noloadplugin" variables of the awstats.pl script. It is possible that the flaw may allow execution of arbitrary commands under the web server privileges resulting in a loss of integrity.

- 时间线

2005-02-09 Unknow
2005-02-09 Unknow

- 解决方案

Upgrade to version 6.4 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站